// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
#include "string"
#include "omfilter.h"

string OmFilter::filter[7] = {string("UVW2"), string("UVM2"), string("UVW1"), 
                              string("U"), string("B"), string("V"), 
                              string("WHITE")}; 
bool OmFilter::operator() (const char* a, const char *b)
{

    int k1 = 0, k2 = 0;
    for(int i = 0; i < 7; i++)
    {
        if ( string(a) == filter[i]) k1 =i;
        if ( string(b) == filter[i]) k2 =i;


    }

    if (k2 > k2)
        return true;
    else
        return false;



};  
bool OmFilter::operator() (const string &a, const string &b)
{

    int k1 = 0, k2 = 0;
    for(int i = 0; i < 7; i++)
    {
        if ( a == filter[i]) k1 =i;
        if ( b == filter[i]) k2 =i;


    }

    if (k2 > k1)
        return true;
    else
        return false;



};  






